VersionedValue.VersionedValueFactory (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Class VersionedValue.VersionedValueFactory

    java.lang.Object
      org.apache.cassandra.gms.VersionedValue.VersionedValueFactory

Enclosing class:
  VersionedValue

    public static class VersionedValue.VersionedValueFactory

extends java.lang.Object

Constructor Summary
`VersionedValue.VersionedValueFactory(IPartitioner partitioner)`

Method Summary
`VersionedValue` | `bootstrapping(Token token)`
`VersionedValue` | `datacenter(java.lang.String dcId)`
`VersionedValue` | `hibernate(boolean value)`
`VersionedValue` | `internalIP(java.lang.String private_ip)`
`VersionedValue` | `leaving(Token token)`
`VersionedValue` | `left(Token token, long expireTime)`
`VersionedValue` | `load(double load)`
`VersionedValue` | `migration(java.util.UUID newVersion)`
`VersionedValue` | `moving(Token token)`
`VersionedValue` | `normal(Token token)`
`VersionedValue` | `rack(java.lang.String rackId)`
`VersionedValue` | `releaseVersion()`
`VersionedValue` | `removalCoordinator(Token token)`
`VersionedValue` | `removedNonlocal(Token token, long expireTime)`
`VersionedValue` | `removingNonlocal(Token token)`
`VersionedValue` | `rpcaddress(java.net.InetAddress endpoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedValue.VersionedValueFactory

    public VersionedValue.VersionedValueFactory(IPartitioner partitioner)

Method Detail

### bootstrapping

    public VersionedValue bootstrapping(Token token)

### normal

    public VersionedValue normal(Token token)

### load

    public VersionedValue load(double load)

### migration

    public VersionedValue migration(java.util.UUID newVersion)

### leaving

    public VersionedValue leaving(Token token)

### left

    public VersionedValue left(Token token,
                               long expireTime)

### moving

    public VersionedValue moving(Token token)

### removingNonlocal

    public VersionedValue removingNonlocal(Token token)

### removedNonlocal

    public VersionedValue removedNonlocal(Token token,
                                          long expireTime)

### removalCoordinator

    public VersionedValue removalCoordinator(Token token)

### hibernate

    public VersionedValue hibernate(boolean value)

### datacenter

    public VersionedValue datacenter(java.lang.String dcId)

### rack

    public VersionedValue rack(java.lang.String rackId)

### rpcaddress

    public VersionedValue rpcaddress(java.net.InetAddress endpoint)

### releaseVersion

    public VersionedValue releaseVersion()

### internalIP

    public VersionedValue internalIP(java.lang.String private_ip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation